o3-deep-research API on AvalAI
o3-deep-researcho3-deep-research is an AI model from OpenAI that is available through AvalAI's OpenAI-compatible API.
Use o3-deep-research with the AvalAI API
Keep the API key in an environment variable and send requests from server-side code.
curl https://api.avalai.ir/v1/responses \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $AVALAI_API_KEY" \
-d '{"model": "o3-deep-research", "input": "Give a concise, practical solution."}'import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ["AVALAI_API_KEY"],
base_url="https://api.avalai.ir/v1",
)
response = client.responses.create(
model="o3-deep-research",
input="Give a concise, practical solution.",
)
print(response.output_text)import OpenAI from "openai";
const client = new OpenAI({
apiKey: process.env.AVALAI_API_KEY,
baseURL: "https://api.avalai.ir/v1",
});
const response = await client.responses.create({
model: "o3-deep-research",
input: "Give a concise, practical solution.",
});
console.log(response.output_text);Create an API keyRead the quickstart
Capabilities and endpoints
- Function calling
- Streaming
- Parallel function calling
- PDF input
- Prompt caching
- Structured output
- System messages
- Tool choice
- Vision
- Web search
Endpoints
/v1/chat/completions/v1/batch/v1/responses
o3-deep-research rate limits
| Tier | RPM | TPM |
|---|---|---|
| Tier 1 | 50 | 200,000 |
| Tier 2 | 500 | 450,000 |
| Tier 3 | 1,000 | 800,000 |
| Tier 4 | 5,000 | 2,000,000 |
| Tier 5 | 10,000 | 30,000,000 |
Related models
Frequently asked questions
What is the o3-deep-research API on AvalAI?
Create an AvalAI API key and send the model ID o3-deep-research to one of the supported endpoints shown on this page.
How much does the o3-deep-research API cost on AvalAI?
The o3-deep-research API on AvalAI costs $10.00 per 1M input tokens and $40.00 per 1M output tokens.
What is the token cost for o3-deep-research?
Current AvalAI pricing for o3-deep-research is $10.00 / 1M tokens for input and $40.00 / 1M tokens for output.
What is the o3-deep-research context window?
The recorded maximum input context for o3-deep-research is 200,000 tokens.
What are the rate limits for o3-deep-research on AvalAI?
On tier 5, o3-deep-research on AvalAI supports up to 10,000 requests per minute and 30,000,000 tokens per minute.
What features does o3-deep-research support on AvalAI?
o3-deep-research on AvalAI supports Function calling, Streaming, Parallel function calling, PDF input, Prompt caching, Structured output, System messages, Tool choice, Vision, Web search.
What account tier is required to use o3-deep-research on AvalAI?
Calling o3-deep-research on AvalAI requires tier 1 or higher.
Third-party data and freshness
- Pricing, availability, endpoints, and rate limits: AvalAI structured data (authoritative)